1. rstang7's Avatar
    Hi guys, i just got an iPhone4s and i updated to IOS 5.0.1 coz i read from the sites that for A5 users to have a untethered JB then its a must to update to the current IOS for the Jailbreak to work, my problem now is that i read "In the meantime, users holding out for an iPhone 4S unlock should stay away from iOS 5.xx firmware updates via iTunes" from a site, now thats a problem for me!! If this is somehow true, how do i downgrade to IOS 5.0???

    Pleas help,

    thanks in advance
    01-18-2012 10:17 AM
  2. 3cit's Avatar
    You got pwned!!!
    No but seriously, maybe ifaith will hold the answers for you...
    01-18-2012 02:41 PM
  3. rosenstar's Avatar
    You'll be fine on 5.01, but avoid 5.1
    01-18-2012 04:13 PM
  4. Cyder's Avatar
    You want 5.01.


    Sent from my iPhone using Tapatalk
    01-18-2012 04:21 PM
  5. 3cit's Avatar
    He wants to unlock fellas... He's screwed...
    01-19-2012 02:30 AM
  6. MacRulez4Ever's Avatar
    He's boat just sailed away.....


    Sent from my iPhone 4s using Tapatalk
    01-19-2012 03:09 AM
  7. iDonev's Avatar
    If you sell the phone and shell out some extra bucks, you can buy yourself a factory unlocked 4s.
    01-19-2012 03:39 AM
  8. rstang7's Avatar
    Great!! All hope is not lost though, i have a friend who can help me with Tinyumbrella, i really hope it works for me!
    01-19-2012 08:40 AM
  9. 3cit's Avatar
    Great!! All hope is not lost though, i have a friend who can help me with Tinyumbrella, i really hope it works for me!
    No you don't!... Unless you have magic 5.0 blobs
    01-19-2012 12:54 PM
LINK TO POST COPIED TO CLIPBOARD